#
# spec file for package phpMyAdmin (Version 2.9.1.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs ed expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt post-build-checks procinfo procps psmisc pwdutils pwgen quilt rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           phpMyAdmin
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel pwgen quilt
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Frontends
Requires:       mod_php_any php-mysql php-bz2 php-gd php-zlib php-iconv php-mcrypt php-session apache2 php5-mbstring
AutoReqProv:    on
Version:        2.9.1.1
Release:        9
Source0:        %{name}-%{version}-all-languages.tar.bz2
Source1:        phpmyadmin.conf
Patch1:         %{name}-%{version}-blowfish_secret.patch
Patch2:         %{name}-%{version}-mysqli.patch
Patch3:         %{name}-%{version}-mcrypt.patch
Patch4:         030_CVE-2007-0203.patch  
Patch5:         030_CVE-2007-1395.patch
Patch6:         031_CVE-2007-5386.patch
Patch7:         032_CVE-2008-1149.patch  
Patch8:         032_CVE-2008-1924.patch
Patch9:         030_CVE-2007-1325.patch  
Patch10:        030_CVE-2007-2245.patch  
Patch11:        031_CVE-2007-5589.patch
Patch12:        032_CVE-2008-1567.patch
Url:            http://www.phpMyAdmin.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Administration of MySQL over the web
PreReq:         pwgen
BuildArch:      noarch
%define serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs2 -q PREFIX)/htdocs/

%description
The phpMyAdmin is intended to handle the administration of mysql
(MySQL) over the web.

Currently it can: - create and drop databases

- create/drop/alter tables

- delete/edit/add fields

- execute any SQL statement

- manage keys on fields

- manage privileges

- export data into various formats

- speak in 43 languages



Authors:
--------
    Tobias Ratschiller <tobias.ratschiller@maguma.com>
    Marc Delisle <DelislMa@CollegeSherbrooke.qc.ca>
    Olivier Mller <om@omnis.ch>
    Loc Chapeaux <lolo@phpheaven.net>
    Robin Johnson <robbat2@users.sourceforge.net>
    Alexander M. Turek <derrabus@gmx.de>
    Michal &#268;iha&#345; <michal@cihar.com>
    Garvin Hicking <me@supergarv.de>

%debug_package
%prep
%setup -q -n %{name}-%{version}-all-languages
%patch1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
find . -type f -name '*.orig' -exec rm {} \;
rm lang/*.sh

%build

%install
install -m 755 -d $RPM_BUILD_ROOT%{serverroot}%{name}
cp -dR *.css *.php *.html themes lang libraries css js \
    $RPM_BUILD_ROOT%{serverroot}%{name}
touch $RPM_BUILD_ROOT%{serverroot}%{name}/config.inc.php
# generate file list
find $RPM_BUILD_ROOT%{serverroot}%{name} -mindepth 1 -maxdepth 1 -type d | sed -e "s@$RPM_BUILD_ROOT@@" > FILELIST
find $RPM_BUILD_ROOT%{serverroot}%{name} -maxdepth 1 -type f | grep -v 'config.inc.php' | sed -e "s@$RPM_BUILD_ROOT@@" >> FILELIST
install -m 644 -D $RPM_SOURCE_DIR/phpmyadmin.conf $RPM_BUILD_ROOT/etc/apache2/conf.d/phpmyadmin.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
# workaround for https://bugzilla.novell.com/show_bug.cgi?id=223725
# we (wrongly) moved the config to libraries/
if test -f %{serverroot}%{name}/libraries/config.inc.php -a ! \
	-f %{serverroot}%{name}/config.inc.php; then
	mv %{serverroot}%{name}/libraries/config.inc.php %{serverroot}%{name}/
fi
config="%{serverroot}%{name}/config.inc.php"
blowfish_secret="%{serverroot}%{name}/libraries/blowfish_secret.inc.php"
# in <=10.0, this used to be directly in config.inc.php,
# which made it hard to detect whether the file was changed by the user or not
if grep -q "\\\$cfg\['blowfish_secret'\]" "$config" ; then
	# if this is an upgrade from <=10.0, move the secret
	# to blowfish_secret.inc.php
	# this is hopefully the last time we change this config file in %%post
	(echo "<?php"
	grep "\\\$cfg\['blowfish_secret'\]" "$config"
	echo "?>") >"$blowfish_secret"
	sed -i "s/.*\\\$cfg\['blowfish_secret'\].*/include_once 'blowfish_secret.inc.php';/" "$config"
fi
# generate blowfish secret
if grep -q "\\\$cfg\['blowfish_secret'\] = ''" "$blowfish_secret" ; then
    echo "Generating blowfish secret for phpMyAdmin..."
    sed -i "s/\\\$cfg\['blowfish_secret'\] = ''/\$cfg['blowfish_secret'] = '`pwgen -s -1 46`'/"  "$blowfish_secret"
fi

%files -f FILELIST
%defattr(-, root, root)
%doc CREDITS ChangeLog Documentation.* docs.css
%doc LICENSE README RELEASE-DATE* TODO translators.html
%doc scripts/*.sql
%dir %{serverroot}%{name}
%attr(0640, wwwrun, www) %verify(not md5 size mtime) %config(noreplace) %{serverroot}%{name}/libraries/blowfish_secret.inc.php
%config(noreplace) /etc/apache2/conf.d/phpmyadmin.conf
# we don't need to install config.inc.php, but we have to keep it
# in the filelist so that an update doesn't delete it
%ghost %config(noreplace) %{serverroot}%{name}/config.inc.php

%changelog
* Tue Aug 05 2008 - crrodriguez@suse.de
- fix multiple vulnerabilities
  * CVE-2008-3457
  * CVE-2008-3456
  * CVE-2008-1924 [BNC # 383135]
  * CVE-2008-1567 [BNC # 375320]
  * CVE-2008-1149 [BNC# 369063]
-  VUL-0: phpMyAdmin update broken on 10.2 [BNC#374371]
* Thu Feb 28 2008 - crrodriguez@suse.de
- fixed VUL-0: phpMyAdmin XSS [bnc#340478]
- fixed PMASA-2007-7 XSS vulnerability
- fixed CVE-2007-6100 ross-site scripting (XSS) vulnerability
* Tue Jul 31 2007 - anosek@suse.cz
- fixed VUL-0: phpMyAdmin PMASA-2007-4
  [#295856] (PMASA-2007-4.patch)
* Mon Jul 30 2007 - anosek@suse.cz
- fixed VUL-0: phpMyAdmin PMASA-2007-1 and PMASA-2007-2
  [#236619] (PMASA-2007-2.patch)
- fixed VUL-0: PMASA-2007-3: PHP Executor Deep Recursion Stack Overflow
  [#251757] (CVE-2007-1325.patch)
* Wed Jul 18 2007 - anosek@suse.cz
- fixed: After installation of suhosin: "The IV parameter must be
  as long as the blocksize" [#292262] (mcrypt.patch)
* Fri Dec 01 2006 - mmarek@suse.cz
- fix previous update which wrongly moved the config.inc.php
  file to the libraries subdirectory [#223721]
* Thu Nov 23 2006 - anosek@suse.cz
- security update to version 2.9.1.1 [#222594] [#222622]
* Wed Nov 08 2006 - anosek@suse.cz
- added suggestions from [#216213]
  * phpMyAdmin now uses mysqli extension not mysql (mysqli.patch)
  * added Required: php5-mbstring
  * phpMyAdmin now uses open_basedir for increased security
* Tue Oct 17 2006 - postadal@suse.cz
- updated to 2.9.0.2
  * Improved readability of setup panels
  * PDF schema: automatic layout for InnoDB
  * Font size selector on main page
  * Export: support for procedures and functions
  * Can hide "Create Database" dialog
  * Customizable link under left logo
  * Export: "Open Document Text", "Open Document spreadsheet" formats
  * Export: new plugin architecture
  * User management: can create a db with the same name as created user
  * Use IEC binary units (KiB, MiB, ...)
  * Import: SQL compatibility selector
  * Possibility of using external authentication and use an empty MySQL password
  * Display MySQL warnings
  * Links to language-specific MySQL doc whenever possible
  * Security fixes
* Thu Sep 21 2006 - anosek@suse.cz
- updated to 2.9.0
  * Improved readability of setup panels
  * PDF schema: automatic layout for InnoDB
  * Font size selector on main page
  * Export: support for procedures and functions
  * Can hide "Create Database" dialog
  * Customizable link under left logo
  * Export: "Open Document Text", "Open Document spreadsheet"
  formats
  * Export: new plugin architecture
  * User management: can create a db with the same name as created
  user
  * Use IEC binary units (KiB, MiB, ...)
  * Import: SQL compatibility selector
  * Possibility of using external authentication and use an empty
  MySQL password
  * Display MySQL warnings
  * Links to language-specific MySQL doc whenever possible
* Wed Aug 23 2006 - anosek@suse.cz
- updated to 2.8.2.4
  * fixed cookie login on IIS with IE6
  * fixed switching from scripts/setup.php to the main script
  in case of register_globals enabled
* Tue Aug 15 2006 - anosek@suse.cz
- update to 2.8.2.2
  * fixed config not loaded on install (MySQL error code 2002
  or 2003)
* Thu Aug 03 2006 - mskibbe@suse.de
- update to 2.8.2.1
  * XSS vulnerability from requests not containing a token
  * reenabled XML option in Export
  * added a user with password containing a backslash
  * setup script: compatibility with security tokens
  * setup script: detection of writable config
  * reading the database list with MySQL wildcards
* Thu Jun 01 2006 - postadal@suse.cz
- updated to 2.8.1 (bugfix-only release) [#177091]
  * fixes some XSS vulnerabilities
- removed obsoleted patches (2006-1804.patch, 2006-2031.patch)
* Tue May 02 2006 - mmarek@suse.cz
- fixed XSS in error messages
  [#170529] (CVE-2006-2031.patch)
* Thu Apr 20 2006 - mmarek@suse.cz
- fixed XSS in sql.php (and other scripts): add a secret token to
  each link and form to prevent linking to sql.php from outside
  [#165772] (CVE-2006-1804)
* Thu Apr 13 2006 - mmarek@suse.cz
- updated to 2.8.0.3
  * fixes some XSS vulnerabilities
  * improves php-5.1.2 compatibility
  [#165772]
- moved $cfg['blowfish_secret'] to separate file, so that config.inc.php
  isn't edited during install
  (blowfish_secret.patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - postadal@suse.cz
- added php-session to Requires [#137368]
* Thu Jan 05 2006 - postadal@suse.cz
- update to version 2.7.0-pl2 (security fixes)
  [#136015, 137368, 137797]
- removed all patches
* Tue Nov 22 2005 - postadal@suse.cz
- fixed XSS on HTTP_HOST (HTTP_HOST.patch) [#133818]
* Mon Nov 21 2005 - postadal@suse.cz
- update to version 2.6.4-pl4
  * fixes PMASA-2005-6 [#133818] (PMASA-2005-6.patch)
- removed obsoleted patches: CVE-2005-2869.patch, PMASA-2005-4_and_5.patch,
  lang-utf8-fix.patch
* Mon Nov 14 2005 - postadal@suse.cz
- fixed CVE-2005-2869 (XSS on the cookie-based login panel)
  [#130226] (CVE-2005-2869.patch)
* Tue Nov 01 2005 - postadal@suse.cz
- fixed PMASA-2005-4 and PMASA-2005-5 [#130226] (PMASA-2005-4_and_5.patch)
* Tue Aug 23 2005 - postadal@suse.cz
- disabled auto-switch the lang to its UTF-8 version when Lang is set
  [#104600]
* Thu Jul 28 2005 - postadal@suse.cz
- update to 2.6.3-pl1
* Mon Jun 06 2005 - cthiel@suse.de
- update to 2.6.2-pl1
* Tue Mar 08 2005 - mcihar@suse.cz
- generate shorter key to make it work with mcrypt, see
  https://sourceforge.net/tracker/index.php?func=detail&aid=1115327&group_id=23067&atid=377408
* Fri Mar 04 2005 - mcihar@suse.cz
- update to pl3, it includes previous fix and fixes editing fields with special names (bug #70864)
* Thu Mar 03 2005 - mcihar@suse.cz
- fix bad setting of privileges (bug #67276)
* Tue Mar 01 2005 - mcihar@suse.cz
- depend on mod_php_any
* Thu Feb 24 2005 - mcihar@suse.cz
- update to 2.6.1-p2 to fix several vulnerabilities (bug #66264)
* Wed Feb 09 2005 - mcihar@suse.cz
- depend on unversioned php modules, to allow both php4 and php5 installation
* Mon Jan 24 2005 - mcihar@suse.cz
- update to 2.6.1
- require php4-mcrypt for faster cookie encryption
* Wed Oct 13 2004 - mcihar@suse.cz
- update to 2.6.0-pl2 (bug #47160)
- require php4-iconv as it seems to be on all arches now (bug #36642)
* Tue Oct 05 2004 - mcihar@suse.cz
- drop php4-recode dependency (bug #46817)
* Mon Sep 06 2004 - mcihar@suse.cz
- update to 2.6.0-rc2
* Fri Sep 03 2004 - mcihar@suse.cz
- update to 2.6.0-rc1
- use pwgen for secret generating
- don't ship scripts, as they're not needed for most users
* Tue Apr 27 2004 - ro@suse.de
- build using apache2
* Wed Mar 31 2004 - mcihar@suse.cz
- require php4-recode for charset conversion (better solution for bugs
  [#36642] and #36560)
* Mon Mar 22 2004 - mcihar@suse.cz
- dropped php-4iconv dependency at all (bug #36642)
* Fri Mar 19 2004 - mcihar@suse.cz
- do not require php4-iconv on achitectures where it isn't built (bug #36560)
* Mon Mar 08 2004 - mcihar@suse.cz
- require all needed php modules
* Mon Mar 01 2004 - mcihar@suse.cz
- update to 2.5.6
* Mon Jan 05 2004 - mcihar@suse.cz
- updated to 2.5.5-pl1
* Mon Oct 20 2003 - mcihar@suse.cz
- updated to 2.5.4
* Thu Oct 16 2003 - mcihar@suse.cz
- do not build as root
- little spec file cleanup
* Tue Sep 09 2003 - mcihar@suse.cz
- automatically generate blowfish_secret on rpm installation
- mark config file as %%config(noreplace) (this in conjuction with
  previous means that it will be never replaced on upgrade, this is
  okay as phpMyAdmin supports loading of old config files)
* Mon Sep 08 2003 - mcihar@suse.cz
- updated to 2.5.3:
    - many bugs fixed
        - messages about missing variables were displayed wrongly
        - more export bugs
        - confirmation of some dangerous SQL (TRUNCATE,DROP DATABASE)
    - new nice icons for actions
* Thu Sep 04 2003 - mcihar@suse.cz
- include documentation stylesheet
* Fri Aug 29 2003 - mcihar@suse.cz
- depend on mod_php rather that http_daemon as this needs php
* Thu Aug 28 2003 - mcihar@suse.cz
- include stylesheets
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to 2.5.2-pl1
* Mon Mar 24 2003 - postadal@suse.cz
- removed mysql from Requires, becouse can access to MySQL remotely [#25797]
* Mon Feb 24 2003 - postadal@suse.cz
- updated to verison 2.4.0
  * new server/user management interface with sub-pages
  * export to LaTeX format
  * display UPDATE SQL statement after a row edit
  * (experimental) support for compressed connections to the MySQL server
  * upload of binary file into a field
  * show blob size
  * a lot of fixes
* Wed Jan 29 2003 - postadal@suse.cz
- updated to version 2.3.3pl1
  * upload of compressed dumps
  * inform the user who does not have privileges to create a db
  * new internal analyzer for db, table, column and alias
  * a lot of fixes
* Mon Aug 12 2002 - postadal@suse.cz 
- update to release 2.3.0
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Thu Aug 01 2002 - postadal@suse.cz
- fixed required perl path
* Wed Jul 31 2002 - postadal@suse.cz
- fixed filelist
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 2.3.0-rc4
  * can specify a different charset for MySQL and HTML
  * utf-8 charset support
  * full database search
  * XML export
  * faster table delete under MySQL 4
  * new language: slovenian
  * fixes
* Mon Jul 01 2002 - ro@suse.de
- fixed directory permissions
* Thu Jan 10 2002 - rvasice@suse.cz
- update to version 2.2.3
* Tue Sep 04 2001 - rvasice@suse.cz
- update to version 2.2.0 final
  - dynamic multiple language support, with automatic detection
  - database usage statistics
  - table maintenance features (repair, check, optimize)
- made package noarch
* Thu Aug 02 2001 - rvasice@suse.cz
- update to version 2.2.0rc3
* Mon Jun 18 2001 - rvasice@suse.cz
- initial package release (version 2.1.0)
